Subject: export-comps attribute question

From: Engin Gunduz <[email-masked]>
Date: Fri, 9 Nov 2001 16:08:07 +0100 (CET)

Hi,

A question about export-comps attribute of route
class: Would we need to have a coresponding route
object to each component in export-comps attribute
of the route objects? Let me clarify the question
with the example in section 8.1 of RFC2622, figure
31:

 route:      128.8.0.0/15
 origin:     AS1
 components: {128.8.0.0/15^-}
 aggr-mtd:   outbound AS-ANY
 export-comps: {128.8.8.0/24}

The explanation says:
"Figure 31 shows an example of an outbound aggregation.  In this
   example, the more specific 128.8.8.0/24 is exported outside AS1 in
   addition to the aggregate.  This is useful, when 128.8.8.0/24 is
   multi-homed site to AS1 with some other AS."

but it does not explicitely say if a route object like:

 route:      128.8.8.0/24
 origin:     AS1

would have to exist or not.

If not, then this would mean a route object in an RPSL db
may correspond to multiple prefixes in BPG tables
(so the route object in fig. 31 would specify two prefixes:
128.8.0.0/15 with origin AS1 and 128.8.8.0/24 with origin AS1).

Is my understanding correct here?

Thanks,
-engin

---

From: Andrei Robachevsky <[email-masked]>
Date: Fri, 09 Nov 2001 17:01:21 +0100

> Is my understanding correct here?

I think it is fairly correct. In my understanding the route object is 
used to collect prefixes according to a certain criterion: origin, set 
membership, etc. When it comes to more granular or complex policies, the 
authors open the backdoor: one can explicitly specify rpsl prefix 
expression.

Then again, my question would be: since one of the main goals of RR is 
to build router config are these attributes used by, say, RtConfig? If 
no - I am confused, if yes - then we need to consider them in RRCC.

Andrei

---

From: Cengiz Alaettinoglu <[email-masked]>
Date: 12 Nov 2001 10:22:13 -0800

Engin,

This is not different than an aut-num which has

  export: to ASx announce {128.8.8.0/24}

Hence, the two should be treated the same way.
RPSL does not require a route object in both cases. 
However, RPSL allows repositories to have additional rules 
for example to require a route object...